> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /blockscout/api/v1/celestia/l2BatchMetadata

` GET /blockscout/api/v1/celestia/l2BatchMetadata `

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Parameters

### ` height ` (query, optional)

- ` value `: type ` string `; format ` uint64 `

### ` namespace ` (query, optional)

- ` value `: type ` string `

### ` commitment ` (query, optional)

- ` value `: type ` string `

## Responses

### ` 200 ` — A successful response.

Content type: ` application/json `

- ` value `: type ` object `

  - ` l2ChainId `: type ` integer `; format ` int64 `

  - ` l2BatchId `: type ` string `

  - ` l2StartBlock `: type ` string `; format ` uint64 `

  - ` l2EndBlock `: type ` string `; format ` uint64 `

  - ` l2BatchTxCount `: type ` integer `; format ` int64 `

  - ` l2BlockscoutUrl `: type ` string `

  - ` l1TxHash `: type ` string `

  - ` l1TxTimestamp `: type ` string `; format ` uint64 `

  - ` l1ChainId `: type ` integer `; format ` int64 `

  - ` relatedBlobs `: type ` array `

    - ` array item `: type ` object `

      - ` height `: type ` string `; format ` uint64 `

      - ` namespace `: type ` string `

      - ` commitment `: type ` string `

### ` default ` — An unexpected error response.

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `; format ` int32 `

  - ` message `: type ` string `

  - ` details `: type ` array `

    - ` array item `: type ` object `

      - ` @type `: type ` string `

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//blockscout/api/v1/celestia/l2BatchMetadata'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//blockscout/api/v1/celestia/l2BatchMetadata', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//blockscout/api/v1/celestia/l2BatchMetadata')
print(response.json())
```